/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/02/08
// RCS-ID:      $Id: wkp_main.h,v 1.2 2001/04/04 12:42:37 aleksandras Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:   	GPL (version 2.0 or later)
/////////////////////////////////////////////////////////////////////////////

#ifndef __WKP_MAIN_G__
#define __WKP_MAIN_G__

#include "wx/docview.h"
#include "wx/docmdi.h"

#include "wx/pmf/pm.h"

// IDs for the controls and the menu commands
enum
{
    // menu items
    Minimal_Quit = 133,
    Minimal_About
};

// Define a new frame type: this is going to be our main frame
class MyFrame : public wxDocMDIParentFrame
{
public:
    // ctor(s)
    MyFrame( wxDocManager* manager, const wxString& title, 
		    const wxPoint& pos, const wxSize& size);

	~MyFrame();

    // event handlers (these functions should _not_ be virtual)
    void OnQuit(wxCommandEvent& event);
    void OnAbout(wxCommandEvent& event);
	void OnClose(wxCloseEvent& event);
	void OnCharHook( wxKeyEvent& event );

protected:
	void RegisterCreationTemplates();
	void TestProjectCreator();
	void TestKeyBinder();

    DECLARE_EVENT_TABLE()

	wxFrame* mpLogFrm;
	wxDocManager* mpDocMgr;
};


#endif // __WKP_MAIN_G__
